Subject: Re: [EAI] text for ascii@non-ascii issues

From: Shawn Steele <[email-masked]>
Date: Mon, 16 Aug 2010 19:52:37 +0000

I agree with John.  I also don't think the last sentence is necessary.  RFC5322 already says what legacy servers do.  If we want to say that UTF8SMTP aware clients MUST NOT send such messages to legacy servers, that's different, but it's pointless to say in here what an RFC5322 server can/cannot do.

>    [RFC5322],  the legacy SMTP servers MUST reject the message
> with the    ASCII@non-ASCII if the non-ASCII domain part is
> not transformed into    the format of A-label by the MUAs/MSAs."

An attempt at making it more readable:  I don't claim much, I didn't spend a lot of time on it.

> If a server advertises UTF8SMTP and the client does not
> recognize the extension, the client may still send a 
> message using legacy SMTP [LegacySMTP].  
> If such a Legacy SMTP client uses the IDNA Definitions [IDNA] and 
> an ascii@a-label address, then the
> UTF8SMTPbis server MUST
>    recognize and decode any A-Label(s) as appropriate.
>
>  A UTF8SMTP aware MUA/MSA sending to a legacy SMTP server
> should convert ASCII@non-ASCII addresses into IDNA A-labels.

Then add [legacySMTP] and [IDNA] to the references, using 5321/5322 & 5890.

-Shawn

------------------------------

Message: 2
Date: Mon, 16 Aug 2010 11:43:59 -0400
From: John C Klensin <[email-masked]>
Subject: Re: [EAI] text for ascii@non-ascii issues
To: YAO Jiankang <[email-masked]>, [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=us-ascii

--On Monday, August 16, 2010 17:42 +0800 YAO Jiankang <[email-masked]> wrote:

> 
> 
> the last paragragh of section 3.2 of rfc5336bis is supposed to the 
> following text:
> 
> 
> 
>    If a server advertises UTF8SMTP and the client does not
> recognize the    extension, the client may send a regular
> message only using the legacy SMTP defintions [RFC5321] and [RFC5322].  
> In this case, the MUAs/MSAs  may continue to use
> the    IDNA Definitions document[RFC5890] to transform the
> domain portion of an address to A-label    [RFC5890] if the
> email address is in the format of ASCII@non-ASCII,   then the
> UTF8SMTPbis server MUST
>    recognize and decode the ACE label(s) as appropriate.
>    According to the legacy SMTP specifications [RFC5321] and
>    [RFC5322],  the legacy SMTP servers MUST reject the message
> with the    ASCII@non-ASCII if the non-ASCII domain part is
> not transformed into    the format of A-label by the MUAs/MSAs.

I think this is consistent with what the WG agreed to in Maastricht (and to which there has been no dissent on the mailing list), but it is in serious need of editing.  The text is hard to follow and does not appear to me to be acceptable for something to be submitted to the IESG for IETF Last Call.

     john

------------------------------

Message: 3
Date: Mon, 16 Aug 2010 12:00:02 -0700 (PDT)
From: [email-masked]
Subject: [EAI] I-D Action:draft-ietf-eai-frmwrk-4952bis-03.txt
To: [email-masked]
Cc: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="us-ascii"

------------------------------

_______________________________________________
IMA mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ima

End of IMA Digest, Vol 61, Issue 10
***********************************